Subject: [Teas] Rtgdir last call review of draft-ietf-teas-actn-info-model

From: Eric Gray <[email-masked]>
Date: Fri, 27 Apr 2018 06:07:05 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft.
The Routing Directorate seeks to review all routing or routing-related drafts as they pass through last call and IESG review. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-teas-actn-info-model
Reviewer: Eric Gray
Review Date: April 27, 2018
LC End Date: April 27, 2018
Intended Status: Informational

*Summary:*
Draft Status: Almost ready with minor issues and NITs.

Note: this is not a YANG technical review.

Minor Issues / Questions:
====================
As a general minor question, when instantiating  a topology including only member information, is it assumed that - given a list of members - each member is bi-directionally connected to every other member, are end-to-end member connections pairwise (e.g. - allowing setup of a hub and spoke topology), or is it necessary/possible to define directionality (e.g. - allowing setup of a distribution tree)? 

Note: This should probably be explicitly stated, though section 5.3 seems to imply that both connectivity and directionality are supported (at least the way I read it).

Section 3, top of page 6: while this draft is intended to be informational and does not refer to RFC 2119, the wording "at a minimum" and "should be supported" is inconsistent (or arguably redundant).  I recommend omitting the 1st part ("At a minimum,") making the sentence read instead "The following VN Action ..."
A similar issue applies to the 2nd paragraph in section 4.

Section 3.2, VN Modify: It looks as if this section needs to include text similar to that in section 3.4, given the possible topology types described in section 3.1.  In addition, you may want to restrict what is allowed in a VN Modify to actions consistent with the VN topology type previously instantiated.

Section 3.6, VN Query: In addition to certain NITs, this section should make it clear that the "topology view" returned by VN Query would be consistent with the topology type instantiated for any specific VN.

Section 4, Traffic Engineering (TE) primitives: Does it make sense that the TE actions should be supported at the MPI consistently with the type of topology defined at the CMI, or are they independent?  Section 4.4 seems to imply that consistency is expected.

Section 5.2, VN Service Characteristics: in the shared risk discussion (towards the top of page 12), it is difficult to indicate (with any accuracy) what the shared risks are for a topology type consisting of just a list of members.  Is this limited to topologies of the type that includes (virtual) link and node information?

Section 5.4, 1st sentence: VN Member is not equal to end-to-end tunnel.  I suspect you mean "VN member pair."

NITs:
===
In several sections, the use of capitalization is inconsistent in the section titles that include the word "primitives."  See sections 3, 4, 7 and 8 in the ToC and in the text.

In the paragraph under Figure 1, "there of" should be one word ("thereof").

Same paragraph, "MDSC to MSDC" should be "MDSC to MDSC" (referring to a hierarchy of MDSCs).

Section 2, 1st line: "provides ACTN common ..." should be "provides an ACTN common ..."

Section 3.6, 1st paragraph: there are minor grammar issues with the entire paragraph.  I suggest rewording along lines as follows (minimal change):

"VN Query refers to an inquiry pertaining to a VN that has already been instantiated.  VN Query fulfills a pull model that permits getting a topology view."  

Note: see related minor issue above.

Section 4, 1st line: "... list of main ..." should be "... list of the main ..."

Section 5.2, toward the middle of page 11: "... for the required the service ..." should be "... for the required service ..."  In the very next sentence, "constrains" should be "constraints" and "VN Constrains" should be "VN Constraints."

Section 5.3, bottom of page 13: "Access point identifier ..." should be "Access Point Identifier ..."
In the next sentence, "creation" should probably be "instantiation"

Section 5.3, top of page 14: "... his own ..." should be "... their own ..."

Section 5.6, last sentence in 1st paragraph: should be reworded as:

"... is composed of virtual nodes and virtual links." ("is comprised of" is an incorrect, idiomatic, usage, and "virtual" and "and" need to be shifted around).

Section 5.7.1, 1st sentence: "from higher controller" should "from a higher controller."

Toward bottom of page 18: "Set Priority ... priority to taking ..." should be "Set Priority ... priority for taking ..."

Section 9, 2nd sentence in 1st paragraph: "confidentially" should be "confidentiality"
Same section, 2nd paragraph "... regardless these ..." should be "... regardless of whether these ..."

--
Eric

---

From: Eric Gray <[email-masked]>
Date: Fri, 27 Apr 2018 06:12:22 +0000

Hello,

*Summary:*

NITs:
===

--
Eric

---

From: Leeyoung <[email-masked]>
Date: Fri, 27 Apr 2018 11:56:04 +0000

Hi Eric,

Thanks for your review and providing us a list of good comments.

Please see inline for our response to your comment and let us know if our response is satisfactory to you.

Best regards,

Young (on behalf of co-authors)

-----Original Message-----
From: Eric Gray [mailto:[email-masked]]
Sent: Friday, April 27, 2018 1:12 AM
To: [email-masked]; 'TEAS WG Chairs' <[email-masked]>; [email-masked]' <[email-masked]>
Cc: Yemin (Amy) <[email-masked]>
Subject: RE: Rtgdir last call review of draft-ietf-teas-actn-info-model

Hello,

Reviewer: Eric Gray

*Summary:*

====================

YL>> We don’t necessarily assume the VNs/TE Tunnels are bi-directional. It can be uni-directional. As you pointed out, it will be helpful to explicitly specify directionality. How about in Section 5.2, we can add <VN directionality> in describing <VN Service Characteristics>.

<VN Service Characteristics> ::= <VN Connectivity Type>

                                   <VN Directionality>

                                    (<VN Traffic Matrix>...)

                                    <VN Survivability>

YL>> Agree. Will edit per your suggestion – delete “At the minimum” in both places.

YL>> Yes. Agree. Will add a new paragraph as follows:

   VN Modify, depending of the type of VN instantiated, can be an

   modification of the characteristics of VN members (edge-to-edge links) in case of VN type 1, or

   an modification of an existing virtual topology (e.g., adding/deleting virtual nodes/links) in case of VN type 2.

YL>>  Agree with the NITs and the need for clarification statement.

OLD:

VN Query refers to inquiry pertaining to the VN that has been already instantiated. VN Query fulfills a pull model and permit to get topology view. VN Query Reply refers to the reply in response to VN Query.

NEW:

VN Query refers to an inquiry pertaining to a VN that has already been instantiated.  VN Query fulfills a pull model that permits getting a topology view.  VN Query Reply refers to the reply in response to VN Query. The topology view returned by VN Query Reply would be consistent with the topology type instantiated for any specific VN.

YL>> Correct. TE actions should support at the MPI based on the types of topology defined at the CMI. I will add the following sentence as the second paragraph of Section 4:

NEW: The TE action primitives defined in this section should be supported at the MPI consistently with the type of topology defined at the CMI.

YL>>  Here we are talking about VN member level SRLG. If we have two VN members, say coming off from the same source to a two different destinations. If SRLG is set for this VN, it means VN member 1 from the source to destination 1 should be SRLG disjoint from VN member 2 from the source to destination 2. This concept of SRLG is a new concept on the VN member level.

YL>> Actually we have used VN member is equivalent to an end-to-end tunnel (CE-CE) from a customer standpoint.  What do you have in mind when you used the term “VN member pair”?

NITs:

===

YL>> Will make it consistently to be a lower-case. In Sections 7 & 8, we have a few of places where it is Upper “P”. Will make them to be “p”.

YL>> Yes, will correct.

YL>> Yes, will correct.

YL>> Agree. Will correct.

YL>> Yes, will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

YL>> Agree. Will correct.

--

Eric